public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-wtf/
Date: Wed, 20 Jun 2018 18:46:09 +0000 (UTC)	[thread overview]
Message-ID: <1529520364.394a4d2b906d70a90886917966bb1f702118c5d9.sbraz@gentoo> (raw)

commit:     394a4d2b906d70a90886917966bb1f702118c5d9
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 20 18:44:14 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 18:46:04 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=394a4d2b

dev-python/flask-wtf: Support Python 3.6, fix dependencies

A lot of the dependencies were missing or not needed. Removing
intersphinx from the doc configuration prevents warning during the doc
build.

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild | 60 +++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild b/dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild
new file mode 100644
index 00000000000..785287cca8f
--- /dev/null
+++ b/dev-python/flask-wtf/flask-wtf-0.14.2-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+MY_PN="Flask-WTF"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Simple integration of Flask and WTForms"
+HOMEPAGE="https://pythonhosted.org/Flask-WTF/ https://pypi.org/project/Flask-WTF/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/Babel[${PYTHON_USEDEP}]
+	dev-python/flask[${PYTHON_USEDEP}]
+	dev-python/flask-babel[${PYTHON_USEDEP}]
+	dev-python/itsdangerous[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/werkzeug[${PYTHON_USEDEP}]
+	>=dev-python/wtforms-1.0.5[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+	doc? (
+		${RDEPEND}
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+	sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+	# tries to access things over the network
+	rm tests/test_recaptcha.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build docs docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	nosetests || die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2018-06-20 18:46 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-20 18:46 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-06 13:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-wtf/ Michał Górny
2022-05-06 12:45 Jakov Smolić
2022-04-01  7:00 Arthur Zamarin
2022-03-24 22:50 Jakov Smolić
2021-12-15 16:54 Michał Górny
2021-12-15 16:45 Jakov Smolić
2021-11-14 14:03 Louis Sautier
2021-11-08  8:31 Michał Górny
2021-08-24 18:20 Arthur Zamarin
2021-08-24 18:20 Arthur Zamarin
2021-07-12 22:53 Michał Górny
2021-07-12 21:50 Sam James
2021-06-04 14:40 Michał Górny
2021-05-25 18:42 Michał Górny
2021-05-25 18:42 Michał Górny
2021-05-25  5:13 Michał Górny
2020-07-09  5:14 Michał Górny
2020-07-09  5:14 Michał Górny
2020-07-09  5:14 Michał Górny
2020-06-24  7:07 Michał Górny
2020-05-04 14:25 Michał Górny
2020-05-04 14:25 Michał Górny
2020-02-05 21:28 Andreas Sturmlechner
2020-02-05 13:24 Michał Górny
2019-12-01 19:27 Andreas Sturmlechner
2019-07-17 13:58 Louis Sautier
2018-10-12  0:08 Virgil Dupras
2018-06-24 14:09 Jason Zaman
2018-04-29  7:35 Michał Górny
2018-01-03 23:35 Michał Górny
2017-12-22 16:32 Jason Zaman
2017-09-16 14:23 Patrick Lauer
2016-10-20 17:30 Patrick Lauer
2016-04-18  9:06 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1529520364.394a4d2b906d70a90886917966bb1f702118c5d9.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox